org.codehaus.plexus.util.interpolation

## Class InterpolatorFilterReader

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.codehaus.plexus.interpolation.InterpolatorFilterReader
      - - org.codehaus.plexus.util.interpolation.InterpolatorFilterReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

Deprecated.
Use plexus-interpolation APIs instead.

    public class InterpolatorFilterReader
    extends org.codehaus.plexus.interpolation.InterpolatorFilterReader

A FilterReader implementation, that works with Interpolator interface instead of it's own interpolation implementation. This implementation is heavily based on org.codehaus.plexus.util.InterpolationFilterReader.

Version:
  $Id: $
Author:
  cstamas

### Field Summary

### Fields inherited from class org.codehaus.plexus.interpolation.InterpolatorFilterReader

`DEFAULT_BEGIN_TOKEN, DEFAULT_END_TOKEN`

### Fields inherited from class java.io.FilterReader

`in`

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
Constructor and Description
`InterpolatorFilterReader(java.io.Reader in, Interpolator interpolator)` Deprecated.

### Method Summary

### Methods inherited from class org.codehaus.plexus.interpolation.InterpolatorFilterReader

`getEscapeString, getRecursionInterceptor, isInterpolateWithPrefixPattern, isPreserveEscapeString, read, read, setEscapeString, setInterpolateWithPrefixPattern, setPreserveEscapeString, setRecursionInterceptor, skip`

### Methods inherited from class java.io.FilterReader

`close, mark, markSupported, ready, reset`

### Methods inherited from class java.io.Reader

`read, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InterpolatorFilterReader

    public InterpolatorFilterReader(java.io.Reader in,
                                    Interpolator interpolator)

Deprecated.